---
id: 5e7b9f150b6c005b0e76f080
title: 'Web Services: API Rate Limiting and Security'
challengeType: 11
videoId: pI-g0lI8ngs
dashedName: web-services-api-rate-limiting-and-security
---

# --description--

More resources:

\- [Exercise: GeoJSON](https://www.youtube.com/watch?v=TJGJN0T8tak)

\- [Exercise: JSON](https://www.youtube.com/watch?v=vTmw5RtfGMY)

\- [Exercise: Twitter](https://www.youtube.com/watch?v=2c7YwhvpCro)

\- [Exercise: XML](https://www.youtube.com/watch?v=AopYOlDa-vY)

# --question--

## --text--

When making a request from the Twitter API, what information must always be sent with the request?

## --answers--

Twitter username

---

date range

---

search term

---

key

## --video-solution--

4

